FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora User

 
 
LinkBack Thread Tools
 
Old 12-28-2007, 09:04 AM
Craig Campbell (craig)
 
Default 2.6.23.8-34.fc7 source is 2.6.23.9-rc1

I am trying to build a driver (yet again) for my Highpoint RAID card. This is apparently required for eadch kernel update.

I hacked the drive source to remove a reference to scsi_device_cancel() which has apparently been removed. All went well, until I tried to boot the kernel. Then, there was a version mis-match.

For some reason, the kernel source rpm for 2.6.23.8-34.fc7 claims a version of 2.6.23.9-rc1. What the?!?

Can someone explain to me why this is so? There is no kernel 2.6.23.9-rc1 (that I can find). I am not seeking an experimental kernel, and only build this driver because I must.

Is there somewhere where I can download the kernel cource that matches the current release? Really, I just want to 'slip in' the necessary driver and keep my system as unhacked as possible.

Thanks in advance,
-craig

P.S. Be gentle, this is my first post...


--
This is an email sent via The Fedora Community Portal https://fcp.surfsite.org
https://fcp.surfsite.org/modules/newbb/viewtopic.php?post_id=229995&topic_id=49788&forum= 34#forumpost229995
If you think, this is spam, please report this to webmaster@fcp.surfsite.org and/or blame craig@ccraft.ca.

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-28-2007, 10:52 AM
Abhishek Rane
 
Default 2.6.23.8-34.fc7 source is 2.6.23.9-rc1

Craig Campbell (craig) wrote:

I am trying to build a driver (yet again) for my Highpoint RAID card. This is apparently required for eadch kernel update.

I hacked the drive source to remove a reference to scsi_device_cancel() which has apparently been removed. All went well, until I tried to boot the kernel. Then, there was a version mis-match.

For some reason, the kernel source rpm for 2.6.23.8-34.fc7 claims a version of 2.6.23.9-rc1. What the?!?

Can someone explain to me why this is so? There is no kernel 2.6.23.9-rc1 (that I can find). I am not seeking an experimental kernel, and only build this driver because I must.

Is there somewhere where I can download the kernel cource that matches the current release? Really, I just want to 'slip in' the necessary driver and keep my system as unhacked as possible.

Thanks in advance,
-craig

P.S. Be gentle, this is my first post...



rc1 is the release candidate of the kernel..Kernel sources can be
downloaded from
http://download.fedora.redhat.com/pub/fedora/linux/releases/7/Fedora/source/SRPMS/
or through yum you cna do like this for downloading the source kernel
rpm into your Home directory


sudo <http://www.mjmwired.net/resources/mjm-fedora-f7.html#sudo> yum install yum-utils
sudo yumdownloader --source kernel

After that use the rpm command to install it


--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-28-2007, 10:58 AM
John Summerfield
 
Default 2.6.23.8-34.fc7 source is 2.6.23.9-rc1

Craig Campbell (craig) wrote:

I am trying to build a driver (yet again) for my Highpoint RAID card. This is apparently required for eadch kernel update.

I hacked the drive source to remove a reference to scsi_device_cancel() which has apparently been removed. All went well, until I tried to boot the kernel. Then, there was a version mis-match.

For some reason, the kernel source rpm for 2.6.23.8-34.fc7 claims a version of 2.6.23.9-rc1. What the?!?


You don't need the kernel source to build a module from external source;
you do need the kernel development package which provides the needed
headers.



--

Cheers
John

-- spambait
1aaaaaaa@coco.merseine.nu Z1aaaaaaa@coco.merseine.nu
-- Advice
http://webfoot.com/advice/email.top.php
http://www.catb.org/~esr/faqs/smart-questions.html
http://support.microsoft.com/kb/555375

You cannot reply off-list:-)

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 

Thread Tools




All times are GMT. The time now is 06:54 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org